
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在C#中使用COM+实现事务控制 / iVAN</title>

    <meta name="description" content="在C#中使用COM+实现事务控制 控制 .NET技术是微软大力推广的下一代平台技术,自从.NET技术架构的正式发布,此项技术也逐渐走向成熟和稳定.按照微软的平台系统占有率,我们不难想象得到,在未来的一两年内.NET技术必定会势如破竹一般的登上主流的技术平台,而一个新的技术平台得以快速发展的最重要的前提是:他不会彻底的摒弃以前的技术,这一点对于.NET技术来说指的就是COM/COM+技术了. 一般来说,在IT技术界以及硬件产业,技术的更新换代速度非常得惊人,而惯例是所有的新技术都会遵循向下兼容的原则,但是.NET技术不仅仅做到了这">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在C#中使用COM+实现事务控制</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>控制</p>
<p>　　.NET技术是微软大力推广的下一代平台技术，自从.NET技术架构的正式发布，此项技术也逐渐走向成熟和稳定。按照微软的平台系统占有率，我们不难想象得到，在未来的一两年内.NET技术必定会势如破竹一般的登上主流的技术平台，而一个新的技术平台得以快速发展的最重要的前提是：他不会彻底的摒弃以前的技术，这一点对于.NET技术来说指的就是COM/COM+技术了。</p>
<p>　　一般来说，在IT技术界以及硬件产业，技术的更新换代速度非常得惊人，而惯例是所有的新技术都会遵循向下兼容的原则，但是.NET技术不仅仅做到了这一点，.NET甚至实现了相互之间的各自调用，这一点是非常难能可贵的。也就是说，不但我们可以在.NET组件中调用COM组件，同时也可以在COM组件中正常的调用.NET组件。这点带来的好处是显而易见的，一方面我们可以保持现有的技术资源，另一方面，在现有资源中可以利用.NET所带来的各种新技术。</p>
<p>　　一般的数据库事务控制要求事务里所做的操作必须在同一个数据库内，这样在出现错误的时候才能回滚（RllBack）到初始状态。这就存在一个问题，在分布式应用程序中，我们往往需要同时操作多个数据库，使用数据库本身的事务处理，很难满足程序对事务控制的要求。在COM+中，提供了完整的事务服务，我们可以利用它来完成在分布式应用程序中的事务控制。</p>
<p>　　具体过程如下</p>
<p>　　一：用VS.NET生成一个类库 。</p>
<p>　　二：添加对System.EnterpristServices的引用，具体步骤</p>
<p>　　菜单：（项目－添加引用－在.NET选项卡选择System.EnterpristServices－确定）</p>
<p>　　三：构建类</p>
<p>　　1：源程序</p>
<p>using System;<br />using System.EnterpriseServices;<br />using System.Data.SqlClient;<br />using System.Reflection;</p>
<p>namespace COMPlusSamples<br />{<br />//表明需要事务支持<br />[ Transaction(TransactionOption.Required) ] <br />//声明为服务器应用程序，还可以选择Library，表示为库应用程序<br />[assembly: ApplicationActivation(ActivationOption.Server)]<br />//描述信息<br />[assembly: Description("sample")]</p>
<p>public class TxCfgClass : ServicedComponent <br />{<br />private static string init1 = "user id=sa;password=;initial catalog=pubs;data source=(local)";</p>
<p>private static string init2 = "user id=sa;password=;initial catalog=NorthWind;data source=(local)";</p>
<p>private static string add1 = "insert into authors('au_lname','au_fname') values('test1', 'test2')";</p>
<p>private static string add2 = "insert into sample values('test1',22)"; <br />//the error sql statement<br />//there is not table “sample”</p>
<p>public TxCfgClass() {}</p>
<p>private void ExecSQL(string init, string sql)<br />{<br />SqlConnection conn = new SqlConnection(init);<br />SqlCommand cmd = conn.CreateCommand();<br />cmd.CommandText = sql;<br />conn.Open();<br />cmd.ExecuteNonQuery();<br />conn.Close();<br />}</p>
<p>//添加一条记录到数据库<br />public void Add()<br />{<br />try<br />{<br />//在一数据库中插入一条记录</p>
<p>ExecSQL(init1, add1);<br />Console.WriteLine("the operation in the same database completely");</p>
<p>//在另外一个数据库中插入两条记录<br />//这次执行的是一个错误的SQL语句</p>
<p>ExecSQL(init2, add2);<br />Console.WriteLine("the operation in the other database <br />completely");</p>
<p>Console.WriteLine("Record(s) added, press enter...");<br />Console.Read();</p>
<p>}<br />catch(Exception e)<br />{<br />//事务回滚<br />ContextUtil.SetAbort();<br />Console.WriteLine("Because there are some errors in the operation ,so transcation abort");<br />Console.WriteLine("The error is " + e.Message);<br />Console.WriteLine("abort successfully");<br />Console.Read(); <br />}<br />}<br />}<br />}<br />2：程序说明：</p>
<p>　　添加命名空间 using System.EnterpriseServices;因为本程序使用了其中的ContextUtil类<br />[ Transaction(TransactionOption.Required) ] 说明DLL需要事务支持。</p>
<p>　　本程序的TxCfgClass 类从ServicedComponent类中继承，这样并不会影响该类，而只是在该类中添加了两个额外的方法，这两个方法可以使代码共享变得更加容易。</p>
<p>　　程序使用的sql server数据库在本机运行，init1 和 init2是两个连接数据库的连接字符串,init连接pubs数据库，inin2连接northwind数据库，这是sql2000中自带的示例数据库。add1和add2是两条sql语句，作用是分别向两个数据库的表里添加一条记录。注意：add2是一条错误的语句，因为根本没有sample表,这样，会在执行时引起异常。（这正是我们所期望的）</p>
<p>　　在执行到add2语句时，由于它是错误的，所以会引发异常，转到错误处理语句里来执行。</p>
<p>　　ContextUtil.SetAbort();该语句使所有的数据库操作回滚，这样add1语句所插入的记录也将不存在。（达到预期目标）</p>
<p>　　四：给程序添加强名（strong name）</p>
<p>　　1：创建一对密钥</p>
<p>　　用来创建密钥的工具是称为sn.exe的共享工具。通常通过命令提示运行它，该工具可执行各种任务以生成并提取密钥。我们需要用以下方式来运行sn.exe。</p>
<p>sn –k key.snk</p>
<p>　　其中key.snk 代表将保存密钥的文件的名称。它的名称可以是任意的，不过习惯上带有.snk后缀名。</p>
<p>　　2：签名</p>
<p>　　签名通常是在编译时进行的。签名时,用户可利用C＃属性通知编译器应该使用正确的密钥文件对DLL进行签名。要做到这一点用户需要打开工程中的AssemblyInfo.cs文件并进行修改。</p>
<p>　　[assembly:AssemblyKeyFile(“..\\..\\key.snk”)]</p>
<p>　　注：key.snk文件和项目文件在同一个文件夹</p>
<p>　　五：编译成DLL （具体步骤）</p>
<p>　　菜单：（生成－生成）</p>
<p>　　如果一切正常，就会生成DLL文件</p>
<p>　　六：使用regsvcs.exe将Dll注册到COM+ Services里面</p>
<p>　　我们需要用以下方式运行regsvcs.exe</p>
<p>　　regsvcs dll文件名</p>
<p>　　如果一切正常的话，regsvcs.exe就会把dll输入到COM+ Services中。</p>
<p>　　至此，我们已经生成并注册了这个可以由其它程序使用的类，现在，我们来写一个控制台程序来检验这个类是否正常运行</p>
<p>　　七：构建客户机</p>
<p>　　1：新建控制台应用程序项目</p>
<p>　　菜单（文件－新建－项目）</p>
<p>　　选择控制台应用程序 ，并选择 添入解决方案 ，确定</p>
<p>　　2：同上面的第二步一样，添加对System.EnterpriseServices的引用。</p>
<p>　　3：添加对自己刚才做好的类的引用。</p>
<p>　　菜单（项目－添加引用－浏览），选择刚才生成的DLL，确定</p>
<p>　　4：输入以下程序</p>
<p>using System;<br />using COMPlusSamples;<br />using System.EnterpriseServices;</p>
<p>public class Client<br />{<br />public static void Main()<br />{<br />TxCfgClass cfg = new TxCfgClass();<br />cfg.Add();<br />}<br />}</p>
<p>　　5：将控制台程序设置为启动项，然后编译运行，就会看到结果。</p>
<p>　　正如我们希望的，第一条记录没有插入数据库</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 04:04:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8a%80%e6%9c%af/" title="技术">技术</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e5%8f%a5/" title="语句">语句</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e5%8a%a1/" title="事务">事务</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在C#中使用COM+实现事务控制的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJqAa2p.html" rel="bookmark">在C&num;中使用COM&plus;实现事务控制    wirte（原作） &lpar;本人转了&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在C#中使用COM+实现事务控制    wirte(原作)     关键字     c#,com+,事务控制     在C#中使用COM+实现事务控制.NET技术是微软大力推广的下一代平台技术,自从.NET技术架构Beta2版本的正式发布,此项技术也逐渐走向成熟和稳定.按照微软的平台系统占有率,我们不难想象得到,在未来的一两年内.NET技术必定会势如破竹一般的登上主流的技术平台,而一个新的技术平台得以快速发展的最重要的前提是:他不会彻底的摒弃以前的技术,这一点对于.NET技术来说指的就是COM/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1BWr3p.html" rel="bookmark">在C&num;中使用COM&plus;实现事务控制（转自CSDN，版权归人家所有，大家只有看的权力！）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在C#中使用COM+实现事务控制.NET技术是微软大力推广的下一代平台技术,自从.NET技术架构Beta2版本的正式发布,此项技术也逐渐走向成熟和稳定.按照微软的平台系统占有率,我们不难想象得到,在未来的一两年内.NET技术必定会势如破竹一般的登上主流的技术平台,而一个新的技术平台得以快速发展的最重要的前提是:他不会彻底的摒弃以前的技术,这一点对于.NET技术来说指的就是COM/COM+技术了. 一般来说,在IT技术界以及硬件产业,技术的更新换代速度非常得惊人,而惯例是所有的新技术都会遵循向下兼			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqORab.html" rel="bookmark">jta-为什么在JMS中使用JTA事务控制全局事务失效</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么在JMS中使用JTA事务控制全局事务失效 package cn.producer; import java.util.Properties; import javax.jms.Connection;import javax.jms.ConnectionFactory;import javax.jms.Destination;import javax.jms.ExceptionListener;import javax.jms.JMSException;import javax.j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElllLz.html" rel="bookmark">ASP数据库事务控制的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在编程中,经常需要使用事务.所谓事务,就是一系列必须都成功的操作,只要有一步操作失败,所有其他的步骤也必须撤销.比如用ASP开发一个网络硬盘系统,其用户注册部分要做的事有: 将用户信息记入数据库 为用户开个文件夹用于存储 初始化用户操作日志 这三步必须使用事务,否则万一磁盘操作失败,而没有撤销数据库操作,就会造成只能登陆而不能操作的&quot;死用户&quot;现象. 由于数据库系统特殊的发展历史,小至Access,大到DB2,无不带有事务支持.因此上述步骤可以如下表示: On Error Resume			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7koedz.html" rel="bookmark">谈谈分布式事务之一：SOA需要怎样的事务控制方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在一个基于SOA架构的分布式系统体系中,服务(Service)成为了基本的功能提供单元,无论与业务 流程无关的基础功能,还是具体的业务逻辑,均实现在相应的服务之中.服务对外提供统一的接口,服 务之间采用标准的通信方式进行交互,各个单一的服务精又有效的组合.编排成为一个有机的整体.在 这样一个分布式系统中某个活动(Activity)的实现往往需要跨越单个服务的边界,如何协调多个服务 之间的关系使之为活动功能的实现服务,涉及到SOA一个重要的课题:服务协作(Service Coordination			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA9v6b.html" rel="bookmark">Oracle数据库入门之DML与事务控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				insert语句 语法:insert into table [(column1, column2...)] values (value1, value2...); 说明:insert语句每次只能向表中插入一条记录.缺省字段名列表时,应为新插入记录中的每个字段显式的设定新值 也可在insert语句中指定赋值字段列表,只为部分字段显式设定新值,其余字段将被缺省赋值为null 举例:insert into dept values(88,'研发部','北京');--此句便是缺省字段名列表的情况 inse			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArR8Xp.html" rel="bookmark">SQL Server 中的6种事务隔离级别简单总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:SQL Server 中的6种事务隔离级别简单总结   本文出处:http://www.cnblogs.com/wy123/p/7218316.html (保留出处并非什么原创作品权利,本人拙作还远远达不到,仅仅是为了链接到原文,因为后续对可能存在的一些错误进行修正或补充,无他)   数据库中的事物是具有原子性(Atomicity),一致性(Consistemcy),隔离性(Isolation),持久性(Durability)四个特征.在上述四个特性中的一致性和隔离性的实现中,是通过锁来实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Y9v3M.html" rel="bookmark">spring事务控制转账问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 spring事务控制转账问题 例:A账户金额有1000元,另有B账户,C账户:现有两个独立事务同时进行: 1,将A账户的1000块钱转到B账户: 2,将A账户的1000块钱转到C账户: 事务的操作:A,-1000 B/C,+1000: 是不是会存在这种情况: 执行事务时,由于没有真正修改数据库,两个事务都是合法: 执行完事务,实际保存数据时,后保存数据A账户钱数会报错(金额不会修改),而C账户钱会增加: 导致,B,C账户增加总和大于A账户减少的金额? 解决方案 spring事务问题:没			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBAdwz.html" rel="bookmark">sping hibernate 事务-spring注解方式事务控制没有回滚</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 spring注解方式事务控制没有回滚 项目中使用到了hibernate以及spring事务控制,在service层增加事务控制但是遇到异常没有回滚. 代码如下: 配置文件 &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot; xmlns:aop=&quot;http://www.springfr			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWDxnp.html" rel="bookmark" class="title">关于PHP中的自增、自减操作的奥秘</a>
					<div>
						首先看一道面试题: $a = 1; $b = &amp;$a; if ($b == $a++) echo &quot;true&quot;; else echo &quot;false&quot;;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp566Rz.html" rel="bookmark" class="title">PS结合AI制作多层叠加的纸片字</a>
					<div>
						效果图也可以在PS中全部完成,不过过程稍微复杂一点,需要先做出多层文字,每层颜色和大小有一点变化.然后再给每一层添加投影等做出立体效果,再整体增加背景及其它装饰即可. 最终效果 1.我们打开AI,新建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx49RM.html" rel="bookmark" class="title">剖析文档下载类网站优化细节</a>
					<div>
						文档下载类站点也属于提供文件下载的网站,此类站点在做优化的时候,需要注意哪些地方的细节问题呢?最近笔者看到了一个这样的站点,下面结合这个案例来分析下此类站点如何去做优化,其实许多地方都与其他网站类似, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdxQ3p.html" rel="bookmark" class="title">了解学习网页中背景图片CSS实现方法</a>
					<div>
						css|背景图片|网页 背景图片Background Images有许多属性可以操作. 幸运的是,可以使用background处理所有: body {    background: white url ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy73Gb.html" rel="bookmark" class="title">基于Java事务模型的事务策略</a>
					<div>
						事务对于确保数据的完整性与一致性是至关重要的.要想完全理解事务,必须得熟悉一些基本概念. 模型还有策略.Mark Richards说到&quot;混淆事务模型与事务策略是个常见错误&quot;.这篇文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwKdkz.html" rel="bookmark" class="title">ASP&period;NET 2&period;0数据教程之二十四&colon; 分页和排序报表数据</a>
					<div>
						返回&quot;ASP.NET 2.0数据教程目录&quot; 导言 分页和排序是在WEB应用程序中展现数据常见的功能.比如,当我 们在一个网上书店搜索ASP.NET书籍的时候,可能有几百本相关书籍, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElOVJz.html" rel="bookmark" class="title">C&num;设计模式之Observer设计模式&lpar;观察者设计模式&rpar;</a>
					<div>
						一.观察者(Observer)模式 观察者模式又叫做发布-订阅(Publish/Subscribe)模式.模型-视图(Model/View)模式.源-监听器(Source/Listener)模式或从属 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyA2eb.html" rel="bookmark" class="title">输入法不能切换的解决办法</a>
					<div>
						  有的时候有没发现过,电脑的输入法偶尔会出现不能切换的情况呢?笔者使用windows xp系统曾经也遇到过不少这样的电脑故障情况,导致这种情况可能是病毒破坏,也可能是输入法切换程序出错导致,下面我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG2wab.html" rel="bookmark" class="title">VLOOKUP函数的基本语法和使用</a>
					<div>
						  VLOOKUP函数是一个查找函数给定一个查找的目标,它就能从指定的查找区域中查找返回想要查找到的值,是Excel中几个最重函数之一,VLOOKUP函数的基本语法为: VLOOKUP(查找目标,查找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oYg3b.html" rel="bookmark" class="title">IE浏览器去广告图文教程</a>
					<div>
						  你还在用Adblock for IE去广告?西西教你更简单的方法 首先开启追踪保护,打开IE,点击右上角工具按钮.选择&quot;管理加载项&quot;-开启追踪保护 复制下面文本,将txt后缀名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ2Wqz.html" rel="bookmark" class="title">千牛智能机器人怎么用</a>
					<div>
						  千牛智能机器人怎么用? 陆续接到各行业商家的测试申请,非常谢谢大家的支持.相信,商家机器人在大家的努力下,会做的更好.以下是试用淘宝商家机器人的操作手册,请按照操作指导进行体验. 第一步:登陆PC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa06Rz.html" rel="bookmark" class="title">Win8如何创建图片密码与Pin码</a>
					<div>
						  在微软最新的Win8系统中,用户除了可以使用微软账户密码与普通密码作为开机密码外,还可以使用支持收拾操作的图片密码与更为简单的Pin码.下面就将详细介绍设置图片密码与Pin码的方法. 图片密码是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1aJxb.html" rel="bookmark" class="title">iexplore&period;exe是什么进程&quest;</a>
					<div>
						  iexplore.exe是什么进程: 该进程为windows浏览器的主进程,在直接用到ie或者调用到相关程序时,均会出现iexplore.exe的进程,由于iexplore.exe进程使用频繁,经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE05wp.html" rel="bookmark" class="title">如何看待「机器学习不需要数学，很多算法封装好了，调个包就行」这种说法？</a>
					<div>
						不抖机灵,想从接触过机器学习学术圈但已投身工业界的角度来回答. 我认为:大部分机器学习从业者不需要过度的把时间精力放在数学上,而该用于熟悉不同算法的应用场景和掌握一些调参技巧.好的数学基础可以使你的模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NkO8M.html" rel="bookmark" class="title">工具介绍：使用CACTUSTORCH 生成Payload</a>
					<div>
						本文讲的是工具介绍:使用CACTUSTORCH 生成Payload,CACTUSTORCH是一个生成payload的框架,可用于基于James Forshaw的DotNetToJScript工具的攻防 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq4WGb.html" rel="bookmark" class="title">张志东：腾讯三次自我革命 组织变大易失去小团队灵敏</a>
					<div>
						6月20日,腾讯联合创始人张志东在深圳举办的腾讯特训营中,分享了腾讯从诞生到目前经历过的3个阶段和每个阶段面临的问题.他表示,组织变大之后就容易失去小团队的灵敏.这些在移动时代都是致命的.能不能回到小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ3L6z.html" rel="bookmark" class="title">uva 310 - L--system bfs</a>
					<div>
						310 - L--system        一个知识性题目,介绍了一个L系统,L系统有个递归变换规则,就是可以把其中所有的字母,按照规则替换成对应的字符串,具体的可以维基一下.        这题是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamj62b.html" rel="bookmark" class="title">C&num;制作高仿360安全卫士窗体（四）- 水晶按钮</a>
					<div>
						原文http://www.cnblogs.com/kovin/archive/2013/10/18/3375977.html 项目越来越紧,我也乐此不疲.自从上次C#制作高仿360安全卫士窗体(三)出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEm7vM.html" rel="bookmark" class="title">解密：AI选美的评审标准是怎么定的？</a>
					<div>
						在8月的尾声,我们迎来了 Beauty.AI 2.0 的评选结果.这由AI机器人评选的选美比赛,从6000名入围者的数据集中挑选出他们认为最好看的人. Beauty.AI 的选美比赛能让参与者成为&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKg7Ob.html" rel="bookmark" class="title">超实用的PHP代码片段（一）</a>
					<div>
						一.查看邮件是否已被阅读   当你在发送邮件时,你或许很想知道该邮件是否被对方已阅读.这里有段非常有趣的代码片段能够显示对方IP地址记录阅读的实际日期和时间.  view source print?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7X5AM.html" rel="bookmark" class="title">Apple Watch 腕带出场&comma;价格便宜感人</a>
					<div>
						摘要:Apple Watch 今年4月发售后,用户可以在苹果在线商店购买各种不同的 Apple Watch 腕带,不过价格方面非常感人.目前,已经有第三方公司准备推出 Apple Watch 腕带,让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDoK8z.html" rel="bookmark" class="title">O2O实践中可能需要克服的8个困难</a>
					<div>
						摘要: 尽管关于O2O的畅想十分丰富,但O2O提倡的线上线下一体最终还是是需要落地的.在这个过程中,传统品牌商家需要遇到哪些问题?又如何推进这些问题的解决?日日顺官方旗舰店的负责人 尽管关于O2O的畅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq4ryz.html" rel="bookmark" class="title">控制ASP&period;NET Web API 调用频率</a>
					<div>
						很多的api,例如GitHub's API 都有流量控制的做法.使用速率限制,以防止在很短的时间量客户端向你的api发出太多的请求.例如,我们可以限制匿名API客户端每小时最多60个请求,而我们可以让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94wXXb.html" rel="bookmark" class="title">应用迁云之镜像迁移-（5）阿里云上跨VPC和区域、账号镜像迁移实践</a>
					<div>
						 目前在阿里云云上的镜像迁移主要需求场景 nÂ  跨VPC迁移ECS实例比如从VPC A迁移到VPC B环境中 nÂ  跨区域迁移ECS实例比如从上海区域迁移到杭州区域 nÂ  跨账号迁移ECS实例比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqy06b.html" rel="bookmark" class="title">苹果巨额现金储备91&percnt;在海外 引起美国国会不满</a>
					<div>
						苹果在最新财报中披露,目前公司现金和有价证券总额达到2376亿美元,再创新高. 虽然苹果2016财年第四季度净利润为90亿美元,同比下降19%,营收和盈利连续第三个季度出现下滑,但仍旧无法阻挡苹果现金 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnDLXM.html" rel="bookmark" class="title">struts2&colon; 通过流输出实现exce导出</a>
					<div>
						参考下面代码,在Action中加一个方法: 1 // 导出excel 2 public String excel() throws Exception { 3 StringBuffer excelBu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3J0OJz.html" rel="bookmark" class="title">Visual Web Ripper 有谁用过，小弟有问题？</a>
					<div>
						问题描述 当爬静态网页数据的时候,出现了这种情况					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkw2ZM.html" rel="bookmark" class="title">《用Python写网络爬虫》&mdash;&mdash;1&period;3 背景调研</a>
					<div>
						1.3 背景调研 在深入讨论爬取一个网站之前,我们首先需要对目标站点的规模和结构进行一定程度的了解.网站自身的robots.txt和Sitemap文件都可以为我们提供一定的帮助,此外还有一些能提供更详 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW485z.html" rel="bookmark" class="title">岁末讨薪追踪报道：如何解开农民工讨薪难的症结</a>
					<div>
						一农民工的讨薪日记:花了4个月 没讨来一分钱 对话人:编辑 苗苗 记者 朱磊 专家 郑功成(中国人民大学教授.中国社会保障研究中心主任) 安徽.广东.福建.浙江等省份通过工资保证金制度.欠薪应急周转金 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZEJJz.html" rel="bookmark" class="title">浅析Objective-C中分类Category的使用&lowbar;IOS</a>
					<div>
						无论一个类设计的如何完美,都不可避免的会遇到没有预测到的需求,那怎么扩展现有的类呢?当然,继承是个不错的选择.但是Objective-C提供了一种特别的方式来扩展类,叫Catagory,可以动态的为已 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
